import { formatDate, formatDateTime } from "../../../../../types/utils.ts";

const defaultValueToStr = (defaultValue: string | null | number | boolean, type: string): string => {
    if (defaultValue === null) {
        return "Значения по умолчанию нет";
    }
    let strValue;
    const prefix = "Значение по умолчанию: ";

    if (type === "bool") {
        strValue = defaultValue ? "true" : "false";
    } else if (type === "datetime") {
        strValue = formatDateTime(defaultValue as string);
    } else if (type === "date") {
        strValue = formatDate(defaultValue as string);
    } else {
        strValue = String(defaultValue);
    }

    return prefix + strValue;
};

export default defaultValueToStr;
